int w;
int h;
float d;
float l;

color[] colors = new color[4]; // define an array of 3 colors
int colorCount; // define int to cycle through the colors



void setup () {
  frameRate(25);
  size(displayWidth, displayHeight);
  w=displayWidth;
  h=displayHeight;
  d= dist(pmouseX, pmouseY, mouseX, mouseY);
  
  
  colors[3] = color(255,0,0,30);
  colors[2] = color(100,0,0,30);
  colors[1] = color(30,100,0,30);
  colors[0] = color(255,255,0,40);
  
  background(255, 0, 0);
}


void draw() {

  noFill();
  stroke(colors[colorCount]);
  strokeWeight(10);
  strokeCap(ROUND);


  pushMatrix();
  translate(w/1.75, h/3);
  for (int i=0; i<27; i++) {

    rotate(radians(i));
    if (d >= 10) {
      l=d*-1;
    }
    bezier(mouseX, mouseY, l, i*10, 80, i*10, 0, 0);
  }
  popMatrix();
}

 void mousePressed() {
  colorCount++; // if mousePressed add 1 to colorCount
  if (colorCount>3) colorCount=0; // if colorCount is higher than 2, set colorCount to 0
}
